<template>
	<up-modal :show="show" :showConfirmButton="false">
		<view class="slot-content box">
			<image class="w-100" :src="state.info.partnerBackground"></image>
			<view class="size-32 fw700 title text-c w-100">
				<view v-html="configList?.succeed_join?.paramValueArea"></view>
			</view>
			<view class="size-32 fw700 w-100 text-c" v-html="state.info.promptText">
			</view>
			<view class="btn color-fff size-30 flex-rowc" @tap="close">
				我知道了
			</view>
		</view>
	</up-modal>
</template>

<script setup>
	import {
		watch,
		ref,
		watchEffect,
		onMounted,
		reactive
	} from "vue"
	import {
		useStore
	} from "vuex"
	import { computed } from "vue"
	
	const props = defineProps({
		open: false
	})
	const store = useStore();
	const emit = defineEmits(['close'])
	const show = ref(false)
	const configList = computed(() => {
		return store.getters.configList
	})

	watch(() => props.open, (val) => {
		show.value = val
	})
	const state = reactive({
		info: {}
	})
	const close = () => {
		emit("close", false)
	}
</script>

<style scoped lang="scss">
	@import "@/style/index.scss";

	.box {
		width: 632rpx;
		background-color: #fff;
		border-radius: 8rpx;

		image {
			height: 190rpx;
		}

		.title {
			margin-top: 100rpx;
			margin-bottom: 45rpx;
		}

		.btn {
			width: 594rpx;
			height: 94rpx;
			border-radius: 94rpx;
			background-color: $mainColor;
			margin-top: 168rpx;
		}
	}
</style>